Cyberduck Mountain Duck CLI

#2033 closed defect (fixed)

Folders collapse in Outline view when refreshing

Reported by: nige@… Owned by: dkocher
Priority: normal Milestone: 3.3
Component: interface Version: 2.8.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

If you have more than one level expanded in the Outline view, when the window is refreshed, only the first level of expansion is maintained.

eg:

> cgi-bin
> etc
v httpdocs
  * calendar.html
  * index.html
  > images
  v includes
    * header.html
    * footer.html 
  * news.html
> lib

becomes:

> cgi-bin
> etc
v httpdocs
  * calendar.html
  * index.html
  > images
  > includes
  * news.html
> lib

Note: This happens when using the refresh button, or when duplicating a file, etc. but not when deleting a file.

Change History (11)

comment:1 Changed on May 14, 2008 at 7:00:34 PM by dkocher

  • Status changed from new to assigned

comment:2 Changed on May 26, 2008 at 12:48:20 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r4017.

comment:3 Changed on Aug 12, 2008 at 10:33:07 AM by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:4 Changed on Aug 12, 2008 at 10:35:01 AM by nige@…

Problem still occurs when duplicating a file. Seems to be fine for delete file, new file, refresh. etc.

comment:5 Changed on Aug 15, 2008 at 8:53:38 PM by dkocher

  • Milestone changed from 3.0.2 to 3.0.3

comment:6 Changed on Oct 6, 2008 at 1:41:25 PM by dkocher

  • Milestone changed from 3.0.3 to 3.1

comment:7 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:8 Changed on May 12, 2009 at 8:32:22 AM by dkocher

#3154 closed as duplicate.

comment:9 Changed on Jul 16, 2009 at 5:51:26 PM by geree.nice@…

After upgrading to 4923 the folders started to collapse after refreshing.

comment:10 Changed on Aug 5, 2009 at 9:18:56 PM by dkocher

  • Milestone changed from 3.5 to 3.3
  • Resolution set to fixed
  • Status changed from reopened to closed

comment:11 Changed on Aug 5, 2009 at 9:19:41 PM by dkocher

Check the latest Snow Leopard alpha builds.

Note: See TracTickets for help on using tickets.
swiss made software